Subject: Re: bug#28827: 26.0.60; compilation mode -vs- messages from make

From: Stefan Kangas <[email-masked]>
Date: Sat, 02 Nov 2019 01:49:56 +0100

tags 28827 + unreproducible
close 28827
thanks

Lars Ingebrigtsen <[email-masked]> writes:

> Tom Tromey <[email-masked]> writes:
>
>> I'm using an Emacs built from the emacs 26 branch.
>> I have GNU make 4.2.1.
>>
>> When I compile, if I get an error, make also prints this, e.g.:
>>
>> make: *** [Makefile:1928: breakpoint.o] Error 1
>>
>>
>> In the *compilation* buffer, the "*** [Makefile:" text is highlighted
>> red.
>>
>> When I next-error, Emacs will ask me:
>>
>> Find this error in (default *** [Makefile): ~/gdb/build/gdb
>
> On the trunk, I get:
>
> callint.c:895:13: note: each undeclared identifier is reported only once for each function it appears in
> Makefile:402: recipe for target 'callint.o' failed
> make[1]: *** [callint.o] Error 1
>
> and Emacs doesn't ask me for anything when next-error-ing to the file.
> (This is on the trunk.)  Are you still seeing this problem?

More information was requested, but none was given within 15 weeks, so
I'm closing this bug as unreproducible.

If this is still an issue, please reopen the bug report.

Best regards,
Stefan Kangas